%define major			32

Summary:	Main GNOME libraries
Name:		gnome-libs
Version: 	1.4.2
Release:	3mdk
License:	LGPL
Group:		System/Libraries
BuildRequires:	ORBit-devel esound-devel 
BuildRequires:	db1-devel imlib-devel xpm-devel libgtk+1.2-devel
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.bz2
Source1:	gtkrc-default.bz2
Icon:		gnome-libs.xpm
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	esound
Requires:	ORBit

# Red Hat patches
Patch0:		RH-gnome-libs-rhsnddefs.patch.bz2
# allow reading UTF-8 encoded .desktop
Patch13:	gnome-libs-1.4.2-utf8menu.patch.bz2

# Mandrake patch
#(fred c)
# search icons first in /usr/share/icons/large, normal and small
Patch5:		gnome-libs-1.4.2-iconspath.patch.bz2
# (fc) 1.2.8-4mdk move gtkrc files to /usr/share/gtkrc
Patch6:		gnome-libs-1.2.8-gtkrc.patch.bz2
# (fc) 1.4.2-3mdk use yelp or galeon to display help 
Patch7:		gnome-libs-1.4.1.2.90-ghelp.patch.bz2
# (pablo) better fontsets in gtkrc.* files
Patch16:	gnome-libs-rclocale.bz2
# (fc) 1.4.1.2-10mdk fix missing prototypes
Patch18:    gnome-libs-1.4.1.3-prototypes.patch.bz2
# (fc) 1.4.1.4-2mdk fix font size in gtk-xmhtml
Patch19:    gnome-libs-1.4.1.4-fonts.patch.bz2
# (fc) 1.4.1.4-3mdk fix parsing of escape sequence (beep when launching vim) (Debian)
Patch20:    gnome-libs-1.4.1.4-zvtescape.patch.bz2
# (fc) 1.4.1.4-3mdk fix numeric keypad switching (fix keypad in vim) (Debian)
Patch21:    gnome-libs-1.4.1.4-keypad.patch.bz2
# (pablo) 1.4.1.4-4mdk patch to have gnome-terminal switch automatically
# to utf-8 mode if the locale is utf-8
Patch22:	http://noa.tm/utf-8/patches/gnome-libs-zvt-utf8-autodetect.patch.bz2
# (fc) 1.4.1.7-2mdk don't add -L/usr/lib to ldflags
Patch23:	gnome-libs-1.4.1.7-libdir.patch.bz2
# (fc) 1.4.2-1mdk remove -I/usr/include from cflags
Patch24:    gnome-libs-1.4.2-includedir.patch.bz2
# (gb) 1.4.2-2mdk fix on 64-bit platforms where sizeof(int) != sizeof(size_t)
Patch25:	gnome-libs-1.4.2-64bit-fixes.patch.bz2
# (fc) 1.4.2-3mdk disable tearoffs and detachable menubar by default
Patch26:	gnome-libs-1.2.13-notearoffs.patch.bz2
# (fc) 1.4.2-3mdk fix segfault in gnome-moz-remote (rawhide)
Patch27:	gnome-libs-1.4.1.2.90-moz-remote-fix.patch.bz2
# (fc) 1.4.2-3mdk Disable xalf by default (rawhide)
Patch28:	gnome-libs-1.2.13-noxalf.patch.bz2

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  The gnome-libs package
includes libraries that are needed to run GNOME.

%package -n libgnome%{major}

Summary:	Libraries and headers for GNOME application development
Group:		System/Libraries
Requires:   %{name} >= %{version}-%{release}

%description -n libgnome%{major}
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  The gnome-libs package
includes libraries that are needed to run GNOME.

This package contains main library for GNOME

%package -n libgnome%{major}-devel


Summary:	Libraries and headers for GNOME application development
Group:		Development/GNOME and GTK+
Icon:		gnome-libs-devel.xpm
Requires:	%{name} = %{PACKAGE_VERSION}
Requires:	libgtk+-devel
Requires:	ORBit-devel
Requires:	libimlib-devel
Requires:	esound-devel
Requires:   db1-devel
Requires:   audiofile-devel
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}
Provides:	libgnome-devel = %{version}
Requires:	libgnome%{major} = %{version}

%description -n libgnome%{major}-devel

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-libs-devel package
includes the libraries and include files that you will need to develop
GNOME applications.

You should install the gnome-libs-devel package if you would like to
develop GNOME applications.  You don't need to install gnome-libs-devel
if you just want to use the GNOME desktop environment.

%package -n libgtkxmhtml1
Summary:	Libraries for gtkxmHTML
Group:		System/Libraries

%description -n libgtkxmhtml1

This package provides library for gtkxmHTML


%prep
%setup -q -n %{name}-%{version}
%patch  -p1 -b .foo

%patch5 -p1 -b .icons
%patch6 -p1 -b .gtkrc
# better fontsets in gtkrc.* files -- pablo
%patch16 -p1 -b .rclocale
%patch7 -p1 -b .ghelp
%patch13 -p1 -b .utf8
%patch18 -p1 -b .prototypes
%patch19 -p1 -b .fonts
%patch20 -p1 -b .zvtescape
%patch21 -p1 -b .keypad
%patch22 -p1 -b .zvtutf8
%patch23 -p1 -b .libdir
%patch24 -p1 -b .includedir
%patch25 -p1 -b .64bit-fixes
%patch26 -p1 -b .notearoffs
%patch27 -p1 -b .moz-remote
%patch28 -p1 -b .noxalf


#needed by patches 22 & 23
autoconf
cd libart_lgpl
autoconf
cd ..

#needed by patch 6 & 24
automake

%build
%configure --with-kde-datadir=%{_datadir} --disable-alsa --enable-prefer-db1


%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
cp -f  $RPM_BUILD_ROOT%{_docdir}/{gnome-doc,mkstub}  $RPM_BUILD_ROOT%{_bindir}
chmod a+x $RPM_BUILD_ROOT%{_bindir}/{gnome-doc,mkstub}
cp -f  $RPM_BUILD_ROOT%{_docdir}/gnome-doc.el  $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp

# find *.mo files, per language
%find_lang %{name} --with-gnome

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc  $RPM_BUILD_ROOT%{_datadir}/doc 

%clean
rm -rf $RPM_BUILD_ROOT

%post  -n libgnome%{major} -p /sbin/ldconfig
%postun -n libgnome%{major} -p /sbin/ldconfig

%post  -n libgtkxmhtml1  -p /sbin/ldconfig
%postun -n libgtkxmhtml1 -p /sbin/ldconfig

%files -n libgtkxmhtml1
%defattr(-,root,root)
%{_libdir}/libgtkxmhtml*.so.*

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/dns-helper
%{_bindir}/gconfigger
%{_bindir}/gnome-bug
%{_bindir}/gnome-dump-metadata
%{_bindir}/gnome-gen-mimedb
%{_bindir}/gnome-moz-remote
%{_bindir}/gnome-name-service
%{_bindir}/gnome_segv
%{_bindir}/goad-browser
%{_bindir}/loadshlib
%{_bindir}/new-object
%attr(2755, root, utmp) %{_sbindir}/gnome-pty-helper
%{_datadir}/idl/*
%{_datadir}/pixmaps/*
%dir %{_datadir}/gtkrc
%config(noreplace) %{_datadir}/gtkrc/gtkrc*
%{_datadir}/mime-info
%{_datadir}/type-convert
%config(noreplace) %{_sysconfdir}/*
%{_mandir}/man1/dns-helper*
%{_mandir}/man1/gconfigger*
%{_mandir}/man1/gnome-bug*
%{_mandir}/man1/gnome-dump-metadata*
%{_mandir}/man1/gnome-gen-mimedb*
%{_mandir}/man1/gnome-moz-remote*
%{_mandir}/man1/gnome-name-service*
%{_mandir}/man1/gnome_segv*
%{_mandir}/man1/goad-browser*
%{_mandir}/man1/loadshlib*
%{_mandir}/man1/new-object*
%{_mandir}/man1/gnome-pty-helper*
%{_mandir}/man1/gnome.*

%files -n libgnome%{major}
%defattr(-, root, root)
%{_libdir}/libgnome*.so.*
%{_libdir}/libgnorba*.so.*
%{_libdir}/libzvt*.so.*
%{_libdir}/libart*.so.*

%files -n libgnome%{major}-devel
%defattr(-, root, root)
%doc devel-docs/*
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/gnome-config
%{_bindir}/libart-config
%{_bindir}/gnome-doc
%{_bindir}/mkstub
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/*.a
%{_libdir}/*.sh
%{_libdir}/gnome-libs
%{_includedir}/*
%{_datadir}/aclocal/*
%{_mandir}/man1/gnome-doc*
%{_mandir}/man1/gnome-mkstub*
%{_mandir}/man1/gnome-config*
%{_mandir}/man1/libart-config*
%{_mandir}/man5/*
%{_datadir}/gnome/help/*
%{_datadir}/gnome/html/*
%{_datadir}/emacs/site-lisp/*

%changelog
* Fri Mar 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.4.2-3mdk
- Update patch7 to fix mdk bug 3096
- Patch28 (rawhide) :  Disable xalf by default
- Patch26 (rawhide): disable tearoffs and detachable menubar by default
- Remove patch8 (no longer needed)
- Patch27 (rawhide):  fix segfault in gnome-moz-remote 

* Mon Oct  7 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.2-2mdk
- Patch25: fix on 64-bit platforms where sizeof(int) != sizeof(size_t)

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-1mdk
- Release 1.4.2
- Regenerate patches 5, 13 (partially merged)
- Remove patch 14 (merged upstream)
- Patch24 : Remove -I/usr/include from CFLAGS

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.7-4mdk
- Enforce dependencies : it seems we can install libgnome32 with gnome-libs
  installed

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.7-3mdk
- Ipdate patch23 to fix libart ldflags

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.7-2mdk
- Regenerate and really apply patch22
- Patch23: don't add -L/usr/lib to ldflags

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.7-1mdk
- Release 1.4.1.7

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.6-1mdk
- Release 1.4.1.6

* Mon Apr  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.5-1mdk
- Release 1.4.1.5

* Wed Feb 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.4-5mdk
- Update patch13 to change fix utf8 detection for .desktop
- Regenerate patch14 (it depends on patch13)

* Fri Feb 22 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.1.4-4mdk
- integrated Basque translation
- small patch to have gnome-terminal automatically enable the utf-8 mode
  if the locale uses utf-8

* Thu Feb 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.4-3mdk
- Patch20 (Debian): fix ANSI escaping in libzvt 
  (bug fixed : beep when launching vim in gnome-terminal)
- Patch21 (Debian): fix numeric keypad handling in libzvt
  (bug fixed : numeric keypad unusable in vim in gnome-terminal)

* Thu Feb 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.4-2mdk
- Patch19: fix font size with gtk-xmhtml (was causing XFree crashes)

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.4-1mdk
- Release 1.4.1.4
- Fix installation of gnome-doc file

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.3-1mdk
- Release 1.4.1.3
- Remove patches 2, 9, 11, 12, 15, 17 (merged upstream)
- Regenerate patch 18 (some parts are already merged)
- Split man pages between -devel and main package

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.2-11mdk
- Grr, don't use makeinstall_std macro, otherwise locales are lost (Thanks to Goetz Waschk)

* Fri Jan  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.2-10mdk
- Patch18: fix missing prototypes

* Tue Dec  4 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.1.2-9mdk
- %%{_datadir}/pixmaps --> %%{_datadir}/pixmaps/*

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.2-8mdk
- Patch17 (GNOME CVS): fix parallel installation with GNOME2
- Libification

* Wed Oct 17 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.1.2-7mdk
- rebuilt with libpng3

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.4.1.2-6mdk
- BuildRequires: db1-devel
- Remove redundant BuildRequires

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.1.2-5mdk
- rebuild with fixed fontsets for CJK

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.4.1.2-4mdk
- rebuild including latest translations

* Fri Sep 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.2-3mdk
- Patch15 (GNOME CVS) : fix gnome-metadata locking

* Mon Sep 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.2-2mdk
- Patch13 (rawhide): fix utf8 in menu reading
- Patch14 (rawhide): better handle KDE menu

* Mon Sep 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.2-1mdk
- Release 1.4.1.2

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1.1-1mdk
- Release 1.4.1.1
- Remove patch10 (merged upstream)

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.13-4mdk
- Patch8 (rawhide) : hack for nautilus root window 
- Patch9 (rawhide) : Clean up if master client is destroyed 
- Patch10 (rawhide) : Fix problem with imlib memory management
- Patch11 (rawhide) : Fix problem displaying mdash in help browser
- Patch12 (rawhide) : Fix problem displaying mdash in help browser

* Fri Aug 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.13-3mdk
- Fix dependencies in gnome-libs-devel

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.13-2mdk
- Patch 7 : fix bug 3730 (nautilus draws desktop when call as help-browser)

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.13-1mdk
- Release 1.2.13
- Remove patch 7 (merged upstream)

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.12-2mdk
- Regenerated against latest glib/gtk

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.12-1mdk
- Release 1.2.12

* Thu Jan 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.11-1mdk
- Release 1.2.11
- No longer apply patch4 (xalf), has been merged upstream

* Mon Jan 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.9-1mdk
- Release 1.2.9

* Fri Jan 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-4mdk
- Move gtkrc files to their own directory (+ patch gnome-init )

* Wed Dec 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-3mdk
- Put libgtkxmhtml in separate package

* Wed Nov 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-2mdk
- Correct requires

* Tue Oct 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.8-1mdk
- Release 1.2.8

* Wed Oct 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.6-1mdk
- Release 1.2.6
- don't apply merged patches (3 & 6)
- Regenerate patch 4

* Thu Oct  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-8mdk
- Provides main gnome directories (close bug #614)

* Tue Sep 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-7mdk
- Change search for icons for new KDE2 paths

* Tue Sep 12 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-6mdk
- Merge fixes from RedHat for gnome-terminal (set background, delete key)

* Mon Sep 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-5mdk
- Search icons in /usr/share/icons subdirectories first

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-4mdk
- enhance support for xalf (start application notifier)
- add noreplace for config file

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.4-3mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-2mdk
- Don't install gtkrc file (was breaking some gtk themes)

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-1mdk
- release 1.2.4 (from Helix)

* Tue Jul 25 2000 dam's <damien@mandrakesoft.com> 1.2.3-4mdk
- added disable-alsa.

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.2.3-3mdk
- BM + macrozification.

* Tue Jul 18 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.3-2mdk
- added patch to support fontsets in scores and wizards windows

* Wed Jun 21 2000 dam's <damien@mandrakesoft.com> 1.2.3-1mdk
- updated to 1.2.3

* Tue Jun 20 2000 dam's <damien@mandrakesoft.com> 1.2.1-3mdk
- Rebuild due to bad provides.

* Tue Jun 20 2000 dam's <damien@mandrakesoft.com> 1.2.1-2mdk
- Rebuild due to bad provides.

* Fri Jun  9 2000 dam's <damien@mandrakesoft.com> 1.2.1-1mdk
- update from helix release.

* Thu Apr 06 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.58-1mdk
- build release 1.0.58

* Fri Mar 31 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.56-1mdk
- from Helix stuffs
- build release 1.0.56

